SearchByNameImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class SearchByNameImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.SearchCriteriaImpl
  - - tv.amwa.maj.union.impl.SearchByNameImpl

- All Implemented Interfaces:
    Serializable, Cloneable, SearchByName, SearchCriteria

      public class SearchByNameImpl
      extends SearchCriteriaImpl
      implements SearchByName, Serializable, Cloneable

  Implementation of a search criteria for matching packages defined by package name.

  See Also:
    `Package.getPackageName()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchByNameImpl(String name)` Create a search criteria defined by the given package name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchByNameImpl` | `clone()`
    `boolean` | `equals(Object o)`
    `String` | `getName()` Returns the name that defines the search criteria.
    `int` | `hashCode()`
    `void` | `setName(String name)` Sets the name the defines the search criteria.
    `String` | `toString()` Create a pseudo-XML representation of this search criteria defined by package name.

    - ### Methods inherited from class tv.amwa.maj.union.impl.SearchCriteriaImpl

      `getSearchTag`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.union.SearchCriteria

      `getSearchTag`

- - ### Constructor Detail

    - #### SearchByNameImpl

          public SearchByNameImpl(String name)
                           throws NullPointerException

      Create a search criteria defined by the given package name.

      Parameters:
        `name` - Package name defining the new search criteria.
      Throws:
        `NullPointerException` - The given name value is `null`.

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `SearchByName`

      Returns the name that defines the search criteria.

      Specified by:
        `getName` in interface `SearchByName`
      Returns:
        Name defining the search criteria.

    - #### setName

          public void setName(String name)
                       throws NullPointerException

      Description copied from interface: `SearchByName`

      Sets the name the defines the search criteria.

      Specified by:
        `setName` in interface `SearchByName`
      Parameters:
        `name` - Name defining the search criteria.
      Throws:
        `NullPointerException` - The given name is `null`.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Create a pseudo-XML representation of this search criteria defined by package name. No XML schema or DTD defines this element. For example:

           <SearchByName name="Watchdog series 27 episode 3"/>

      Overrides:
        `toString` in class `Object`
      Returns:
        XML representation of this search by AUID criteria.

    - #### clone

          public SearchByNameImpl clone()
                                 throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.